io.undertow.server.handlers.proxy

## Class LoadBalancingProxyClient.Host

- java.lang.Object
- - io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler
  - - io.undertow.server.handlers.proxy.LoadBalancingProxyClient.Host

All Implemented Interfaces:
  ConnectionPoolErrorHandler, ConnectionPoolManager, ProxyConnectionPoolConfig

Enclosing class:
  LoadBalancingProxyClient

    public final class LoadBalancingProxyClient.Host
    extends ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler
    implements ConnectionPoolManager

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler

`ConnectionPoolErrorHandler.CountingErrorHandler, ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxCachedConnections()` Get the maximum number of cached (idle) connections per thread.
`int` `getMaxConnections()` Get the maximum number of connections per thread.
`int` `getMaxQueueSize()` Get the maximum number of requests which can be queued if there are no connections available.
`int` `getProblemServerRetry()`
`int` `getSMaxConnections()` Get number of cached connections above which are closed after the time to live.
`long` `getTtl()` Get the time to live for idle connections.
`URI` `getUri()`

### Methods inherited from class io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler

`clearError, handleError, isAvailable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler

`clearError, handleError, isAvailable`

### Method Detail

#### getProblemServerRetry

    public int getProblemServerRetry()

Specified by:
  `getProblemServerRetry` in interface `ConnectionPoolManager`
Returns:
  The amount of time that we should wait before re-testing a problem server

#### getMaxConnections

    public int getMaxConnections()

Description copied from interface: `ProxyConnectionPoolConfig`
Get the maximum number of connections per thread.

Specified by:
  `getMaxConnections` in interface `ProxyConnectionPoolConfig`
Returns:

#### getMaxCachedConnections

    public int getMaxCachedConnections()

Description copied from interface: `ProxyConnectionPoolConfig`
Get the maximum number of cached (idle) connections per thread.

Specified by:
  `getMaxCachedConnections` in interface `ProxyConnectionPoolConfig`
Returns:

#### getSMaxConnections

    public int getSMaxConnections()

Description copied from interface: `ProxyConnectionPoolConfig`
Get number of cached connections above which are closed after the time to live.

Specified by:
  `getSMaxConnections` in interface `ProxyConnectionPoolConfig`
Returns:

#### getTtl

    public long getTtl()

Description copied from interface: `ProxyConnectionPoolConfig`
Get the time to live for idle connections.

Specified by:
  `getTtl` in interface `ProxyConnectionPoolConfig`
Returns:

#### getMaxQueueSize

    public int getMaxQueueSize()

Description copied from interface: `ProxyConnectionPoolConfig`
Get the maximum number of requests which can be queued if there are no connections available.

Specified by:
  `getMaxQueueSize` in interface `ProxyConnectionPoolConfig`
Returns:

#### getUri

    public URI getUri()